# Uses of Class
java.net.DatagramSocketImpl

Packages that use DatagramSocketImpl
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of DatagramSocketImpl in java.net

Methods in java.net that return DatagramSocketImpl
Modifier and Type
Method
Description
`DatagramSocketImpl`
DatagramSocketImplFactory.`createDatagramSocketImpl()`
Creates a new `DatagramSocketImpl` instance.
Constructors in java.net with parameters of type DatagramSocketImpl
Modifier
Constructor
Description
`protected`
`DatagramSocket​(DatagramSocketImpl impl)`
Creates an unbound datagram socket with the specified DatagramSocketImpl.